/**
 * Diese Klasse definiert eine einfache Zeichnung. Um die Zeichnung auf
 * dem Bildschirm anzeigen zu lassen, muss die zeichne-Operation auf
 * einem Exemplar aufgerufen werden.
 * Aber hier steckt mehr drin: Da es eine elektronische Zeichnung ist,
 * kann sie gendert werden. Man kann sie schwarz-wei anzeigen lassen
 * und dann wieder in Farbe (nachdem sie gezeichnet wurde, ist ja klar).
 * 
 * Diese Klasse ist als frhes Java-Lehrbeispiel mit BlueJ gedacht.
 * 
 * @author  Michael Klling und David J. Barnes erweitert von A. Dietz (04.03.07)
 * @version 1.0  (3. Januar 2003)
 */
public class Zeichnung
{
    private Quadrat wand;
    private Quadrat fenster;
    private Dreieck dach;
    private Kreis sonne;
    

    /**
     * Erzeuge ein Exemplar der Klasse Zeichnung
     */
    public Zeichnung()
    {
        // nichts zu tun hier, alle Exemplarvariablen werden automatisch
        // mit null initialisiert.
    }

    /**
     * Zeichne die Zeichnung.
     */
    public void zeichne()
    {
        wand = new Quadrat();
        wand.setzePosition(60,130);
        wand.setzeSeitenlaenge(100);
        wand.farbeAendern("rot");
        wand.sichtbarMachen();
        
   // Hier Quellcode einfgen
        
    }

    /**
     * ndere die Darstellung in schwarz-wei.
     */
    public void inSchwarzWeissAendern()
    {
        if(wand != null)   // nur wenn schon gezeichnet wurde ...
        {
            wand.farbeAendern("schwarz");
       //     fenster.farbeAendern("weiss");
       //     dach.farbeAendern("schwarz");
       //     sonne.farbeAendern("schwarz");
           
        }
    }

    /**
     * ndere die Darstellung in Farbe.
     */
    public void inFarbeAendern()
    {
        if(wand != null)   // nur wenn schon gezeichnet wurde ...
        {
            wand.farbeAendern("rot");
         //   fenster.farbeAendern("schwarz");
         //   dach.farbeAendern("gruen");
         //   sonne.farbeAendern("gelb");
          
        }
    }
    
   
    
}
